<?php
/***********************************************************************
 * This Source Code Form is subject to the terms of the Mozilla Public *
 * License, v. 2.0. If a copy of the MPL was not distributed with this *
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.            *
 ***********************************************************************/

ini_set('default_charset', 'utf-8');
define('DATETIME', 'Y-m-d g:i A T');
define('DATETIMESIMPLE', 'Y-m-d H:i');
define('DATESIMPLE', 'Y-m-d');

$lang = array(
    'Home'=>'Home',
    'RiskManagement'=>'Risk Management',
    'Reporting'=>'Reporting',
    'Configure'=>'Configure',
    'MyProfile'=>'My Profile',
    'Logout'=>'Logout',
    'LogInHere'=>'Login to SimpleRisk',
    'Username'=>'Username',
    'Password'=>'Password',
    'ForgotYourPassword'=>'Forgot your password',
    'Login'=>'Login',
    'Reset'=>'Reset',
    'Send'=>'Send',
    'Update'=>'Update',
    'SendPasswordResetEmail'=>'Send Password Reset Email',
    'PasswordReset'=>'Password Reset',
    'ResetToken'=>'Reset Token',
    'RepeatPassword'=>'Repeat Password',
    'Submit'=>'Submit',
    'ProfileDetails'=>'Profile Details',
    'LastLogin'=>'Last Login',
    'ChangePassword'=>'Change Password',
    'CurrentPassword'=>'Current Password',
    'NewPassword'=>'New Password',
    'ConfirmPassword'=>'Confirm Password',
    'ConfigureRiskFormula'=>'Configure Risk Formula',
    'ConfigureReviewSettings'=>'Configure Review Settings',
    'AddAndRemoveValues'=>'Add and Remove Values',
    'UserManagement'=>'User Management',
    'RedefineNamingConventions'=>'Redefine Naming Conventions',
    'AuditTrail'=>'Audit Trail',
    'Extras'=>'Extras',
    'Announcements'=>'Announcements',
    'About'=>'About',
    'Impact'=>'Impact',
    'Likelihood'=>'Likelihood',
    'MitigationEffort'=>'Mitigation Effort',
    'Change'=>'Change',
    'to'=>'to',
    'AddANewUser'=>'Add a New User',
    'Type'=>'Type',
    'FullName'=>'Full Name',
    'EmailAddress'=>'E-mail Address',
    'Teams'=>'Team(s)',
    'ALL'=>'ALL',
    'NONE'=>'NONE',
    'UserResponsibilities'=>'User Responsibilities',
    'AbleToSubmitNewRisks'=>'Able to Submit New Risks',
    'AbleToModifyExistingRisks'=>'Able to Modify Existing Risks',
    'AbleToCloseRisks'=>'Able to Close Risks',
    'AbleToPlanMitigations'=>'Able to Plan Mitigations',
    'AbleToReviewLowRisks'=>'Able to Review Low Risks',
    'AbleToReviewMediumRisks'=>'Able to Review Medium Risks',
    'AbleToReviewHighRisks'=>'Able to Review High Risks',
    'AllowAccessToConfigureMenu'=>'Allow Access to "Configure" Menu',
    'MultiFactorAuthentication'=>'Multi-Factor Authentication',
    'None'=>'None',
    'Add'=>'Add',
    'ViewDetailsForUser'=>'View Details for User',
    'DetailsForUser'=>'Details for User',
    'Select'=>'Select',
    'EnableAndDisableUsers'=>'Enable and Disable Users',
    'EnableAndDisableUsersHelp'=>'Use this feature to enable or disable user logins while maintaining the audit trail of user activities',
    'DisableUser'=>'Disable user',
    'Disable'=>'Disable',
    'EnableUser'=>'Enable user',
    'Enable'=>'Enable',
    'DeleteAnExistingUser'=>'Delete an Existing User',
    'DeleteCurrentUser'=>'Delete current user',
    'Delete'=>'Delete',
    'SendPasswordResetEmailForUser'=>'Send password reset email for user',
    'Category'=>'Category',
    'AddNewCategoryNamed'=>'Add new category named',
    'DeleteCurrentCategoryNamed'=>'Delete current category named',
    'Team'=>'Team',
    'AddNewTeamNamed'=>'Add new team named',
    'DeleteCurrentTeamNamed'=>'Delete current team named',
    'Technology'=>'Technology',
    'AddNewTechnologyNamed'=>'Add new technology named',
    'DeleteCurrentTechnologyNamed'=>'Delete current technology named',
    'SiteLocation'=>'Site/Location',
    'AddNewSiteLocationNamed'=>'Add new site/location named',
    'DeleteCurrentSiteLocationNamed'=>'Delete current site/location named',
    'ControlRegulation'=>'Control Regulation',
    'AddNewControlRegulationNamed'=>'Add new control regulation named',
    'DeleteCurrentControlRegulationNamed'=>'Delete current control regulation named',
    'RiskPlanningStrategy'=>'Risk Planning Strategy',
    'AddNewRiskPlanningStrategyNamed'=>'Add new risk planning strategy named',
    'DeleteCurrentRiskPlanningStrategyNamed'=>'Delete current risk planning strategy named',
    'CloseReason'=>'Close Reason',
    'AddNewCloseReasonNamed'=>'Add new close reason named',
    'DeleteCurrentCloseReasonNamed'=>'Delete current close reason named',
    'IWantToReviewHighRiskEvery'=>'I want to review HIGH risk every',
    'IWantToReviewMediumRiskEvery'=>'I want to review MEDIUM risk every',
    'IWantToReviewLowRiskEvery'=>'I want to review LOW risk every',
    'days'=>'days',
    'MyClassicRiskFormulaIs'=>'My Classic Risk Formula Is',
    'RISK'=>'RISK',
    'IConsiderHighRiskToBeAnythingGreaterThan'=>'I consider HIGH risk to be anything greater than or equal to',
    'IConsiderMediumRiskToBeLessThanAboveButGreaterThan'=>'I consider MEDIUM risk to be less than above, but greater than or equal to',
    'IConsiderlowRiskToBeLessThanAboveButGreaterThan'=>'I consider LOW risk to be less than above, but greater than or equal to',
    'HighRisk'=>'High Risk',
    'MediumRisk'=>'Medium Risk',
    'LowRisk'=>'Low Risk',
    'Irrelevant'=>'Irrelevant',
    'SubmitYourRisks'=>'Submit Risk',
    'PlanYourMitigations'=>'Plan Mitigation',
    'PerformManagementReviews'=>'Perform Reviews',
    'PrioritizeForProjectPlanning'=>'Plan Projects',
    'ReviewRisksRegularly'=>'Review Regularly',
    'DocumentANewRisk'=>'Document a New Risk',
    'UseThisFormHelp'=>'Use this form in order to document a new risk for consideration in the Risk Management Process',
    'Subject'=>'Subject',
    'ExternalReferenceId'=>'External Reference ID',
    'ControlNumber'=>'Control Number',
    'Owner'=>'Owner',
    'OwnersManager'=>'Owner\'s Manager',
    'RiskScoringMethod'=>'Risk Scoring Method',
    'CurrentLikelihood'=>'Current Likelihood',
    'CurrentImpact'=>'Current Impact',
    'RiskAssessment'=>'Risk Assessment',
    'AdditionalNotes'=>'Additional Notes',
    'UNREVIEWED'=>'UNREVIEWED',
    'PASTDUE'=>'PAST DUE',
    'ID'=>'ID',
    'Status'=>'Status',
    'Risk'=>'Risk',
    'DaysOpen'=>'Days Open',
    'CalculatedRisk'=>'Calculated Risk',
    'SubmittedBy'=>'Submitted By',
    'NextReviewDate'=>'Next Review Date',
    'CVSSRiskScoring'=>'CVSS Risk Scoring',
    'DREADRiskScoring'=>'DREAD Risk Scoring',
    'OWASPRiskScoring'=>'OWASP Risk Scoring',
    'CustomRiskScoring'=>'Custom Risk Scoring',
    'MitigationPlanningHelp'=>'Below is the list of submitted risks that require mitigation planning',
    'ManagementReviewHelp'=>'Below is the list of submitted risks that require a management review',
    'Submitted'=>'Submitted',
    'MitigationPlanned'=>'Mitigation Planned',
    'ManagementReview'=>'Management Review',
    'No'=>'No',
    'Yes'=>'Yes',
    'AddAndRemoveProjects'=>'Add and Remove Projects',
    'AddAndRemoveProjectsHelp'=>'Add and remove projects in order to associate multiple risks together for prioritization',
    'AddNewProjectNamed'=>'Add new project named',
    'DeleteCurrentProjectNamed'=>'Delete current project named',
    'AddUnassignedRisksToProjects'=>'Add Unassigned Risks to Projects',
    'AddUnassignedRisksToProjectsHelp'=>'Drag and drop unassigned risks marked for consideration as a project into the appropriate project tab',
    'PrioritizeProjects'=>'Prioritize Projects',
    'PrioritizeProjectsHelp'=>'Move projects around and change the order of prioritization.  Once finished, don\'t forget to press the "Update" button to save your changes',
    'SaveRisksToProjects'=>'Save Risks to Projects',
    'RiskId'=>'Risk ID',
    'RiskActions'=>'Actions',
    'ReopenRisk'=>'Reopen Risk',
    'CloseRisk'=>'Close Risk',
    'EditRisk'=>'Edit Risk',
    'PlanAMitigation'=>'Plan a Mitigation',
    'PerformAReview'=>'Perform a Review',
    'AddAComment'=>'Add a Comment',
    'ShowRiskScoringDetails'=>'View Risk Scoring Details',
    'HideRiskScoringDetails'=>'Hide Risk Scoring Details',
    'Details'=>'Details',
    'SubmissionDate'=>'Submission Date',
    'DateSubmitted'=>'Date Submitted',
    'EditDetails'=>'Edit Details',
    'Mitigation'=>'Mitigation',
    'MitigationDate'=>'Mitigation Submission Date',
    'PlanningStrategy'=>'Planning Strategy',
    'CurrentSolution'=>'Current Solution',
    'SecurityRequirements'=>'Security Requirements',
    'SecurityRecommendations'=>'Security Recommendations',
    'EditMitigation'=>'Edit Mitigation',
    'LastReview'=>'Last Review',
    'ReviewDate'=>'Review Date',
    'Reviewer'=>'Reviewer',
    'Review'=>'Review',
    'NextStep'=>'Next Step',
    'Comments'=>'Comments',
    'ViewAllReviews'=>'View All Reviews',
    'ReviewHistory'=>'Review History',
    'Comment'=>'Comment',
    'ClassicRiskScoring'=>'Classic Risk Scoring',
    'RiskScoringActions'=>'Risk Scoring Actions',
    'UpdateClassicScore'=>'Update Classic Score',
    'ScoreBy'=>'Score by',
    'RISKClassicExp1'=>'RISK = ( Likelihood x Impact + 2(Impact) )',
    'RISKClassicExp2'=>'RISK = ( Likelihood x Impact + Impact )',
    'RISKClassicExp3'=>'RISK = ( Likelihood x Impact )',
    'RISKClassicExp4'=>'RISK = ( Likelihood x Impact + Likelihood )',
    'RISKClassicExp5'=>'RISK = ( Likelihood x Impact + 2(Likelihood) )',
    'Reason'=>'Reason',
    'CloseOutInformation'=>'Close-Out Information',
    'SubmitManagementReview'=>'Submit Management Review',
    'SubmitRiskMitigation'=>'Submit Risk Mitigation',
    'RiskDashboard'=>'Risk Dashboard',
    'RiskTrend'=>'Risk Trend',
    'AllOpenRisksAssignedToMeByRiskLevel'=>'All Open Risks Assigned to Me',
    'AllOpenRisksByRiskLevel'=>'All Open Risks by Risk Level',
    'AllOpenRisksConsideredForProjectsByRiskLevel'=>'All Open Risks Considered for Projects by Risk Level',
    'AllOpenRisksAcceptedUntilNextReviewByRiskLevel'=>'All Open Risks Accepted Until Next Review by Risk Level',
    'AllOpenRisksToSubmitAsAProductionIssueByRiskLevel'=>'All Open Risks to Submit as a Production Issue by Risk Level',
    'AllOpenRisksByScoringMethod'=>'All Open Risks by Scoring Method',
    'AllClosedRisksByRiskLevel'=>'All Closed Risks by Risk Level',
    'SubmittedRisksByDate'=>'Submitted Risks By Date',
    'MitigationsByDate'=>'Mitigations By Date',
    'ManagementReviewsByDate'=>'Management Reviews By Date',
    'ProjectsAndRisksAssigned'=>'Projects and Risks Assigned',
    'OpenRisks'=>'Open Risks',
    'ClosedRisks'=>'Closed Risks',
    'ReportMyOpenHelp'=>'This report shows all open risks that have the current user as the owner or manager associated with the risk ordered by risk level',
    'ReportOpenHelp'=>'This report shows all open risks ordered by risk level',
    'ReportProjectsHelp'=>'This report shows all open risks considered for projects ordered by risk level',
    'ReportNextReviewHelp'=>'This report shows all open risks accepted until next review ordered by risk level',
    'ReportProductionIssuesHelp'=>'This report shows all open risks submitted as production issues ordered by risk level',
    'ReportRiskScoringHelp'=>'This report shows all risk scoring methods and the risks scored using each',
    'ReportClosedHelp'=>'This report shows all closed risks ordered by risk level',
    'ReportSubmittedByDateHelp'=>'This report shows all risks ordered by submission date',
    'ReportMitigationsByDateHelp'=>'This report shows all mitigations planned ordered by mitigation date',
    'ReportMgmtReviewsByDateHelp'=>'This report shows all management reviews ordered by review date',
    'ReportProjectsAndRisksHelp'=>'This report shows all projects and the risks assigned to them',
    'Language'=>'Language',
    'AllOpenRisksNeedingReview'=>'All Open Risks Needing a Review',
    'ReportReviewNeededHelp'=>'This report shows all open risks needing a management review',
    'CustomValue'=>'Custom Value',
    'ClosedRisksByDate'=>'Closed Risks By Date',
    'DateClosed'=>'Date Closed',
    'ClosedBy'=>'Closed By',
    'ReportClosedByDateHelp'=>'This report shows all risks ordered by closure date',
    'AllOpenRisksByTeam'=>'All Open Risks by Team',
    'ReportRiskTeamsHelp'=>'This report shows all teams and the risks assigned to each',
    'Unassigned'=>'Unassigned',
    'AllOpenRisksByTechnology'=>'All Open Risks By Technology',
    'ReportRiskTechnologiesHelp'=>'This report shows all technologies and the risks assigned to each',
    'RiskLevel'=>'Risk Level',
    'BasedOnTheCurrentRiskScore'=>'Based on your Risk Score, your next review date will be ',
    'WouldYouLikeToUseADifferentDate'=>'Would you like to use a different date instead?',
    'RisksOpenedAndClosedOverTime'=>'Risks Opened and Closed Over Time',
    'AllRiskScoresAreAdjusted'=>'All risk scores are adjusted to fit on a 0-10 scale.',
    'DetermineProjectStatus'=>'Determine Project Status',
    'ProjectStatusHelp'=>'Place projects into buckets based on their current status.',
    'ActiveProjects'=>'Active Projects',
    'OnHoldProjects'=>'On Hold Projects',
    'CompletedProjects'=>'Completed Projects',
    'CancelledProjects'=>'Cancelled Projects',
    'UpdateProjectStatuses'=>'Update Project Statuses',
    'HighRiskReport'=>'High Risk Report',
    'TotalOpenRisks'=>'Total Open Risks',
    'TotalHighRisks'=>'Total High Risks',
    'HighRiskPercentage'=>'High Risk Percentage',
    'UpdateClassicScore'=>'Update Classic Score',
    'UpdateCVSSScore'=>'Update CVSS Score',
    'BaseScoreMetrics'=>'Base Score Metrics',
    'AttackVector'=>'Attack Vector',
    'AttackComplexity'=>'Attack Complexity',
    'Authentication'=>'Authentication',
    'ConfidentialityImpact'=>'Confidentiality Impact',
    'IntegrityImpact'=>'Integrity Impact',
    'AvailabilityImpact'=>'Availability Impact',
    'TemporalScoreMetrics'=>'Temporal Score Metrics',
    'Exploitability'=>'Exploitability',
    'RemediationLevel'=>'Remediation Level',
    'ReportConfidence'=>'Report Confidence',
    'EnvironmentalScoreMetrics'=>'Environmental Score Metrics',
    'CollateralDamagePotential'=>'Collateral Damage Potential',
    'TargetDistribution'=>'Target Distribution',
    'ConfidentialityRequirement'=>'Confidentiality Requirement',
    'IntegrityRequirement'=>'Integrity Requirement',
    'AvailabilityRequirement'=>'Availability Requirement',
    'UpdateDREADScore'=>'Update DREAD Score',
    'DamagePotential'=>'Damage Potential',
    'Reproducibility'=>'Reproducibility',
    'AffectedUsers'=>'Affected Users',
    'Discoverability'=>'Discoverability',
    'UpdateOWASPScore'=>'Update OWASP Score',
    'ThreatAgentFactors'=>'Threat Agent Factors',
    'SkillLevel'=>'Skill Level',
    'Motive'=>'Motive',
    'Opportunity'=>'Opportunity',
    'Size'=>'Size',
    'VulnerabilityFactors'=>'Vulnerability Factors',
    'EaseOfDiscovery'=>'Ease of Discovery',
    'EaseOfExploit'=>'Ease of Exploit',
    'Awareness'=>'Awareness',
    'IntrusionDetection'=>'Intrusion Detection',
    'TechnicalImpact'=>'Technical Impact',
    'LossOfConfidentiality'=>'Loss of Confidentiality',
    'LossOfIntegrity'=>'Loss of Integrity',
    'LossOfAvailability'=>'Loss of Availability',
    'LossOfAccountability'=>'Loss of Accountability',
    'BusinessImpact'=>'Business Impact',
    'FinancialDamage'=>'Financial Damage',
    'ReputationDamage'=>'Reputation Damage',
    'NonCompliance'=>'Non-Compliance',
    'PrivacyViolation'=>'Privacy Violation',
    'UpdateCustomScore'=>'Update Custom Score',
    'ManuallyEnteredValue'=>'Manually Entered Value',
    'ScoreByClassic'=>'Score by Classic',
    'ScoreByCVSS'=>'Score by CVSS',
    'ScoreByDREAD'=>'Score by DREAD',
    'ScoreByOWASP'=>'Score by OWASP',
    'ScoreByCustom'=>'Score by Custom',
    'BaseVector'=>'Base Vector',
    'TemporalVector'=>'Temporal Vector',
    'EnvironmentalVector'=>'Environmental Vector',
    'SupportingDocumentation'=>'Supporting Documentation',
    'Import'=>'Import',
    'Export'=>'Export',
    'ActivateTheImportExportExtra'=>'Activate the Import/Export Extra',
    'PrintableView'=>'Printable View',
    'GroupBy'=>'Group By',
    'IncludedColumns'=>'Included Columns',
    'AllRisks'=>'All Risks',
    'DynamicRiskReport'=>'Dynamic Risk Report',
    'ObsoleteReports'=>'Obsolete Reports',
    'Project'=>'Project',
    'SortBy'=>'Sort By',
    'MonthSubmitted'=>'Month Submitted',
    'AssetManagement'=>'Asset Management',
    'AutomatedDiscovery'=>'Automated Discovery',
    'BatchImport'=>'Batch Import',
    'ManageAssets'=>'Manage Assets',
    'AssetValuation'=>'Asset Valuation',
    'AllowAccessToAssetManagementMenu'=>'Allow Access to "Asset Management" Menu',
    'AutomatedDiscoveryHelp'=>'Discover all live IP addresses in the entered IP range.  Live IP addresses will be added to the asset list.  Acceptable formats:',
    'IPRange'=>'IP Range',
    'Search'=>'Search',
    'AddANewAsset'=>'Add a New Asset',
    'DeleteAnExistingAsset'=>'Delete an Existing Asset',
    'AssetName'=>'Asset Name',
    'IPAddress'=>'IP Address',
    'AssetWasAddedSuccessfully'=>'Asset was added successfully.',
    'AssetWasDeletedSuccessfully'=>'Asset was deleted successfully.',
    'ThereWasAProblemAddingTheAsset'=>'There was a problem adding the asset.',
    'ThereWasAProblemDeletingTheAsset'=>'There was a problem deleting the asset.',
    'ComingSoon'=>'Coming Soon',
    'ExportRisks'=>'Export Risks',
    'ExportMitigations'=>'Export Mitigations',
    'ExportReviews'=>'Export Reviews',
    'ExportCombined'=>'Export Combined',
    'MitigatedBy'=>'Mitigated By',
    'MitigationId'=>'Mitigation ID',
    'ReviewId'=>'Review ID',
    'AffectedAssets'=>'Affected Assets',
    'Activate'=>'Activate',
    'DeleteRisks'=>'Delete Risks',
    'DeletedRisksCannotBeRecovered'=>'Deleted Risks Cannot Be Recovered',
    'RisksDeletedSuccessfully'=>'Risk(s) Deleted Successfully',
    'ThereWasAProblemDeletingTheRisk'=>'There Was a Problem Deleting the Risk(s)',
    'Activated'=>'ACTIVATED',
    'IWantToReviewInsignificantRiskEvery'=>'I want to review INSIGNIFICANT risk every',
    'Insignificant'=>'Insignificant',
    'IConsiderVeryHighRiskToBeAnythingGreaterThan'=>'I consider VERY HIGH risk to be anything greater than or equal to',
    'IConsiderHighRiskToBeLessThanAboveButGreaterThan'=>'I consider HIGH risk to be less than above, but greater than or equal to',
    'VeryHigh'=>'Very High',
    'VeryHighRisk'=>'Very High Risk',
    'IWantToReviewVeryHighRiskEvery'=> 'I want to review VERY HIGH risk every',
    'AbleToReviewVeryHighRisks'=>'Able to Review Very High Risks',
    'AbleToReviewInsignificantRisks'=>'Able to Review Insignificant Risks',
    'TotalVeryHighRisks'=>'Total Very High Risks',
    'VeryHighRiskPercentage'=>'Very High Risk Percentage',
    'AllTeams'=>'All Teams',
    'FileUploadSettings'=>'File Upload Settings',
    'AllowedFileTypes'=>'Allowed File Types',
    'AddNewFileTypeOf'=>'Add new file type of',
    'DeleteCurrentFileTypeOf'=>'Delete current file type of',
    'MaximumUploadFileSize'=>'Maximum Upload File Size',
    'Bytes'=>'Bytes',
    'CheckAll'=>'Check All',
    'CheckAllRiskMgmt'=>'Check All Risk Management',
    'CheckAllAssetMgmt'=>'Check All Asset Management',
    'CheckAllConfigure'=>'Check All Configure',
    'MitigationTeam'=>'Mitigation Team',
    'ImportRisks'=>'Import Risks',
    'ImportAssets'=>'Import Assets',
    'AssetValue'=>'Asset Value',
    'Register'=>'Register',
    'RegisterSimpleRisk'=>'Register SimpleRisk',
    'RegistrationText'=>'By registering SimpleRisk you will be providing your contact information so that you can be updated with the latest release information and important security notifications.  Your information will never be sold to a third-party.  Registered instances also have the ability to be backed up and upgraded with the click of a button.',
    'RegistrationInformation'=>'Registration Information',
    'Company'=>'Company',
    'JobTitle'=>'Job Title',
    'Phone'=>'Phone',
    'UpgradeSimpleRisk'=>'Upgrade SimpleRisk',
    'UpgradeInstructions'=>'This section uses the Upgrade Extra.  To make sure you have the latest version, select "Update", re-register, and reload this page.',
    'NoUpgradeNeeded'=>'No upgrade is needed at this time.',
    'BackupDatabase'=>'Backup the Database',
    'UpgradeApplication'=>'Upgrade the Application',
    'UpgradeDatabase'=>'Upgrade the Database',
    'CustomExtras'=>'Custom Extras',
    'CustomExtrasText'=>'It would be awesome if everything were free, right?  Hopefully the core SimpleRisk platform is able to serve all of your risk management needs.  But, if you find yourself still wanting more functionality, we\'ve developed a series of "Extras" that will do just that.',
    'Upgrade'=>'Upgrade',
    'Install'=>'Install',
    'Purchase'=>'Purchase',
    'PasswordPolicy'=>'Password Policy',
    'MinimumNumberOfCharacters'=>'Minimum Number of Characters',
    'RequireAlphaCharacter'=>'Require Alpha Character',
    'RequireUpperCaseCharacter'=>'Require Upper Case Character',
    'RequireLowerCaseCharacter'=>'Require Lower Case Character',
    'RequireNumericCharacter'=>'Require Numeric Character',
    'RequireSpecialCharacter'=>'Require Special Character',
    'Enabled'=>'Enabled',
    'RiskPyramid'=>'Risk Pyramid',
    'RiskPyramidDescription'=>'The risk pyramid above helps to show the distribution of risks amongst the various risk levels.  A top heavy pyramid can be a sign that your organization is taking on too much risk.',
    'RiskAdvice'=>'Risk Advice',
    'AddDeleteAssets'=>'Add & Delete Assets',
    'EditAssets'=>'Edit Assets',
    'AutomaticAssetValuation'=>'Automatic Asset Valuation',
    'ManualAssetValuation'=>'Manual Asset Valuation',
    'MinimumValue'=>'Minimum Value',
    'MaximumValue'=>'Maximum Value',
    'ValueRange'=>'Value Range',
    'DefaultAssetValuation'=>'Default Asset Valuation',
    'Default'=>'Default',
    'RisksAndAssets'=>'Risks and Assets',
    'Report'=>'Report',
    'RisksByAsset'=>'Risks by Asset',
    'AssetsByRisk'=>'Assets by Risk',
    'MaximumQuantitativeLoss'=>'Maximum Quantitative Loss',
    'MitigationOwner'=>'Mitigation Owner',
    'MitigationCost'=>'Mitigation Cost',
    'RiskColumns'=>'Risk Columns',
    'MitigationColumns'=>'Mitigation Columns',
    'ReviewColumns'=>'Review Columns',
    'ChangeStatus'=>'Change Status',
    'SetRiskStatusTo'=>'Set Risk Status To',
    'AddNewStatusNamed'=>'Add new status named',
    'DeleteStatusNamed'=>'Delete status named',
    'DefaultCurrencySymbol'=>'Default Currency Symbol',
    'DefaultValues'=>'Default Values',
    'RiskSource'=>'Risk Source',
    'AddNewSourceNamed'=>'Add new source named',
    'DeleteSourceNamed'=>'Delete source named',
    'CheckAllAssessments'=>'Check All Assessments',
    'AllowAccessToAssessmentsMenu'=>'Allow Access to "Assessments" Menu',
    'Assessments'=>'Assessments',
    'AvailableAssessments'=>'Available Assessments',
    'PendingRisks'=>'Pending Risks',
    'CreateAssessment'=>'Create Assessment',
    'EditAssessment'=>'Edit Assessment',
    'Overview'=>'Overview',
    'OpenVsClosed'=>'Open vs Closed',
    'MitigatedVsUnmitigated'=>'Mitigated vs Unmitigated',
    'ReviewedVsUnreviewed'=>'Reviewed vs Unreviewed',
    'OpenedRisks'=>'Opened Risks',
    'MailSettings'=>'Mail Settings',
    'TransportAgent'=>'Transport Agent',
    'FromName'=>'From Name',
    'FromEmail'=>'From Email',
    'ReplyToName'=>'ReplyTo Name',
    'ReplyToEmail'=>'ReplyTo Email',
    'Host'=>'Host',
    'SMTPAuthentication'=>'SMTP Authentication',
    'Encryption'=>'Encryption',
    'Port'=>'Port',
    'Next'=>'Next',
    'NewAssessmentQuestion'=>'New Assessment Question',
    'Question'=>'Question',
    'RiskScore'=>'Risk Score',
    'SubmitRisk'=>'Submit Risk',
    'Answer'=>'Answer',
    'AddQuestion'=>'Add Question',
    'SaveAssessment'=>'Save Assessment',
    'SendAssessment'=>'Send Assessment',
    'DeleteAssessment'=>'Delete Assessment',
    'AssessmentName'=>'Assessment Name',
    'SendTo'=>'Send To',
    'ActiveAssessments'=>'Active Assessments',
    'SentTo'=>'Sent To',
    'From'=>'From',
    'Key'=>'Key',
    'GoToSSOLoginPage'=>'Go to SSO Login Page',
    'APIKey'=>'API Key',
    'GenerateAPIKey'=>'Generate API Key',
    'RotateAPIKey'=>'Rotate API Key',
    'InvalidateAPIKey'=>'Invalidate API Key',
    'Deactivate'=>'Deactivate',
    'ImportExportExtra'=>'Import-Export Extra',
    'SaveDetails'=>'Save Details',
    'ClearForm'=>'Clear Form',
    'SaveMitigation'=>'Save Mitigation',
    'Cancel'=>'Cancel',
    'SubmitReview'=>'Submit Review',
    'UnassignedRisks'=>'Unassigned Risks',
    'DisableRegistrationNotice'=>'Disable Registration Notice',
    'UserPolicy'=>'User Policy',
    'UseCaseSensitiveValidationOfUsername'=>'Use Case Sensitive Validation of Username',
    'MitigationPlanning'=>'Planned Mitigation Date',
    'AssetDetails'=>'Asset Details',
    'RiskList'=>'Risk List',
    'Are you sure you want to close the risk? All changes will be lost!'=>'Are you sure you want to close the risk? All changes will be lost!',
    'MinimumPasswordAge' => 'Minimum Password Age',
    'MaximumPasswordAge' => 'Maximum Password Age',
    'MaximumAttemptsLockout' => 'Maximum Attempts Lockout',
    'MaximumAttemptsLockoutTime' => 'Maximum Attempts Lockout Time',
    'attempts' => 'attempts',
    'minutes' => 'minutes',
    'minute' => 'minute',
    'AccountLockedOut' => 'Account Locked Out',
    'AccountLockoutPolicy' => 'Account Lockout Policy',
    'ImportExportIsDeactivated' => 'Import-export is deactivated',
    'PurchaseTheExtra' => 'Purchase the Extra',
    'ExpandAll' => 'Expand All',
    'ConditionMessageForMinChar' => 'Password should contain the minimum of $min_chars characters.',
    'ConditionMessageForAlpha' => 'Password should contain an alpha character.',
    'ConditionMessageForUppercase' => 'Password should contain an uppercase character.',
    'ConditionMessageForLowercase' => 'Password should contain a lowercase character.',
    'ConditionMessageForDigit' => 'Password should contain a digit.',
    'ConditionMessageForSpecialchar' => 'Password should contain a special character.',
    'ConditionMessageForMinPasswordAge' => 'Password can be updated from last updated time the minimum of $min_password_age days later .',
    'TrustedDomains' => 'Trusted Domains',
    'SimpleRiskColumnMapping' => 'SimpleRisk Column Mapping',
    'Mapping' => 'Mapping',
    'Optional' => 'Optional',
    'SaveMappingAs' => 'Save Mapping As',
    'EncryptionLevel' => 'Encryption Level',
    'Level' => 'Level',
    'Description' => 'Description',
    'ShowRiskScoreOverTime' => 'Show Risk Score Over Time',
    'HideRiskScoreOverTime' => 'Hide Risk Score Over Time',
    'ReviewRegularlyHelp' => 'Below is the list of all risks sorted by Unreviewed, Past Due, and Next Review Date',
    'RiskScoringHistory' => 'Risk Scoring History',
    'RiskAddPermissionMessage' => 'You do not have permission to submit new risks.  Any risks that you attempt to submit will not be recorded.  Please contact an Administrator if you feel that you have reached this message in error.',
    'SubjectRiskCannotBeEmpty' => 'The subject of a risk cannot be empty',
    'InvalidRiskID' => 'Invalid Risk ID',
    'Success' => 'Success',
    'RiskUpdatePermissionMessage' => 'You do not have permission to modify risks.  Any risks that you attempt to modify will not be recorded.  Please contact an Administrator if you feel that you have reached this message in error.',
    'RiskReviewPermission' => 'You do not have permission to review $risk_level level risks.  Any reviews that you attempt to submit will not be recorded.  Please contact an administrator if you feel that you have reached this message in error.',
    'DateAndTime' => 'Date and time',
    'mCryptWarning' => 'The "mcrypt" extension needs to be installed for the Encryption Extra to work properly.  Please install it to continue.',
    'APIInCompatibleWithEncryptionLevel' => 'The API is not compatible with the user encryption level of the Encrypted Database Extra.',
    'UnauthenticatedAccessInAPI' => 'Unauthenticated Access.  Please log in or provide a key to use the SimpleRisk API.',
    'ResetPasswordMessageInUserLevelEncryption' => 'You can not reset the password because this user is in user-level encryption. Please contact administrator.',
    'YouNeedToSpecifyAnIdParameter' => 'You need to specify an id parameter.',
    'NoMitigation' => 'There is no specified mitigation.',
    'NoReview' => 'There is no specified review.',
    'MysqldumpPathWasSavedSuccessfully' => 'Mysqldump path was saved successfully.',
    'UnavailableMysqldumpService' => 'There is no avaiable `mysqldump` service on server. Please set absolute mysqldump service path.',
    'AllOpenRisksByTeamByLevel' => 'All Open Risks by Team by Risk Level',
    'Unknown' => 'Unknown',
    'AllOwners' =>'All Risks',
    'AllOwnersManagers' => 'All Owner\'s Managers',
    'AddNewReviewNamed' => 'Add new review named',
    'DeleteCurrentReviewNamed' => 'Delete current review named',
    'AddNewNextstepNamed' => 'Add new next step',
    'DeleteCurrentNextstepNamed' => 'Delete current next step named',
    'Settings' => 'Settings',
    'EnablePopupWindowsForTextBoxes' => 'Enable pop-up windows for text boxes',
    'PasswordNoLongerUse' => 'This new password is limited, so you can no longer use.  Please try another password',
    'RememberTheLast' => 'Remember The Last',
    'Passwords' => 'Passwords',
    'NoOwner' => 'No Owner',
    'NoOwnersManager' => 'No Owners Manager',
    'RiskAverageOverTime' => 'Risk Average Over Time',
    'AverageRiskScore' => 'Average Risk Score',
    'Year' => 'Year',
    'Month' => 'Month',
    'Day' => 'Day',
    'FilterByAffectedAsset' => 'Filter by Affected Asset',
    'RisksOpened' => 'Risks Opened',
    'RisksClosed' => 'Risks Closed',
    'HealthCheck' => 'Health Check',
    'RequirePasswordChangeOnLogin' => 'Require password change on login',
    'PasswordChangeRequired' => 'You need to change your password before login.',
    'LikelihoodImpact' => 'Likelihood and Impact',
    'MitigationPercent' => 'Mitigation Percent',
    'MitigationPermissionMessage' => 'You do not have permission to plan mitigations.  Any mitigations that you attempt to submit will not be recorded.  Please contact an Administrator if you feel that you have reached this message in error.',
    'ResetCustomDisplaySettings' => 'Reset Custom Display Settings',
    'CustomResetSuccessMessage' => 'Your custom display settings was reset successfully',
    'DefaultRiskScore' => 'Default Risk Score',
    'AdditionalStakeholders' => 'Additional Stakeholders',
    'AllStakeholders' => 'All Stakeholders',
    'RiskIdDoesNotExist' => 'Risk ID Does Not Exist',
    'RiskDisplayPermission' => 'You have no permission to see this risk. Please contact server manager.',
    'AllowOwnerToSeeRiskDetails' => 'Allow Owner to See Risk Details',
    'AllowOwnerManagerToSeeRiskDetails' => 'Allow Owner\'s Manager to See Risk Details',
    'AllowRiskSubmitterToSeeRiskDetails' => 'Allow Risk Submitter to See Risk Details',
    'AllowTeamMembersToSeeRiskDetails' => 'Allow Team Members to See Risk Details',
    'AllowAdditionalStakeholdersToSeeRiskDetails' => 'Allow Additional Stakeholders to See Risk Details',
    'SavedSuccess' => 'Successfully saved.',
    'DeletedMappingSuccess' => 'Successfully deleted a mapping.',
    'SelectMappingToRemove' => 'Please select a mapping to remove.',
    'Schedule' => 'Schedule',
    'Daily' => 'Daily',
    'Weekly' => 'Weekly',
    'Monthly' => 'Monthly',
    'Quarterly' => 'Quarterly',
    'Annually' => 'Annually',
    'SpecifiedTime' => 'Specified Time',
    'Governance' => 'Governance',
    'Compliance' => 'Compliance',
    'AllowAccessToRiskManagementMenu' => 'Allow Access to "Risk Management" Menu',
    'CheckAllGovernance' => 'Check All Governance',
    'CheckAllCompliance' => 'Check All Compliance',
    'AllowAccessToGovernanceMenu' => 'Allow Access to "Governance" Menu',
    'AllowAccessToComplianceMenu' => 'Allow Access to "Compliance" Menu',
    'DefineControlFrameworks' => 'Define Control Frameworks',
    'CurrentProjects' => 'Current Projects',
    'Frameworks' => 'Frameworks',
    'Controls' => 'Controls',
    'ActiveProjects' => 'Active Projects',
    'OnHoldProjects' => 'On Hold Projects',
    'CompletedProjects' => 'Completed Projects',
    'CanceledProjects' => 'Canceled Projects',
    'Priority' => 'Priority',
    'ProjectName' => 'Project Name',
    'ActiveFrameworks' => 'Active Frameworks',
    'InactiveFrameworks' => 'Inactive Frameworks',
    'NewProjectName' => 'New Project Name',
    'NewFrameworkName' => 'New Framework Name',
    'NewFrameworkDescription' => 'New Framework Description',
    'AreYouSureYouWantToDeleteThisProject' => 'Are you sure you want to delete this project?',
    'AreYouSureYouWantToDeleteThisFramework' => 'Are you sure you want to delete this framework?',
    'ViewRisks' => 'View Risks',
    'ViewRisk' => 'View Risk',
    'FrameworkName' => 'Framework Name',
    'FrameworkDescription' => 'Framework Description',
    'ImportAssessments' => 'Import Assessments',
    'ExportAssessment' => 'Export Assessment',
    'AssessmentSuccessImport' => 'Successfully imported assessments',
    'AssessmentFileRequired' => 'Assessment CSV File is required',
    'FrameworkUpdated' => 'A framework was updated successfully.',
    'UpdateAll' => 'Update All',
    'SelectAssessmentToExport' => 'Select an assessment to export.',
    'PageTemplates' => 'Page Templates',
    'CustomFields' => 'Custom Fields',
    'AddACustomField' => 'Add a Custom Field',
    'FieldName' => 'Field Name',
    'FieldType' => 'Field Type',
    'CustomFieldNameNotEmpty' => 'The name of a custom field cannot be empty.',
    'DeletedSuccess' => 'Successfully deleted',
    'ActiveControls' => 'Active Controls',
    'ControlName' => 'Control Name',
    'ControlShortName' => 'Control Short Name',
    'ControlLongName' => 'Control Long Name',
    'ControlDescription' => 'Control Description',
    'SupplementalGuidance' => 'Supplemental Guidance',
    'ControlFramework' => 'Control Framework',
    'ControlFrameworks' => 'Control Frameworks',
    'ControlOwner' => 'Control Owner',
    'ControlClass' => 'Control Class',
    'ControlPhase' => 'Control Phase',
    'ControlNumber' => 'Control Number',
    'ControlPriority' => 'Control Priority',
    'ControlFamily' => 'Control Family',
    'AllFrameworks'=>'All Frameworks',
    'NewControlName' => 'New Control Name',
    'NewControlDescription' => 'New Control Description',
    'AreYouSureYouWantToDeleteThisControl' => 'Are you sure you want to delete this control?',
    'AddNewControlClassNamed' => 'Add new control class named',
    'DeleteCurrentControlClassNamed' => 'Delete current control class named',
    'AddNewControlPhaseNamed' => 'Add new control phase named',
    'DeleteCurrentControlPhaseNamed' => 'Delete current control phase named',
    'AddNewControlPriorityNamed' => 'Add new control priority named',
    'DeleteCurrentControlPriorityNamed' => 'Delete current control priority named',
    'AddNewControlFamilyNamed' => 'Add new control family named',
    'DeleteCurrentControlFamilyNamed' => 'Delete current control family named',
    'MinutesAssessmentsAreValid' => 'Minutes Assessments Are Valid',
    'ShowAvailableAssetsOnAssessments' => 'Show available assets on assessments',
    'AssessmentSettingsUpdatedSuccessfully' => 'Assessment settings were updated successfully.',
    'UseCommasToSeperateMultipleEmails' => 'Use commas to seperate multiple emails.',
    'RiskAssessmentQuestionnaire' => 'Risk Assessment Questionnaire',
    'EmailTemplateSendingAssessment' => '
        <html><body>\\n
            Hello,\\n
            <p> {$username} has asked you to complete the following risk assessment questionnaire:</p>\\n
            <p><a href="{$assessment_link}"> {$assessment_name} </a></p>\\n
            <p>This is an automated message and responses will be ignored or rejected.</p>\\n
        </body></html>',
    'FilterByText' => 'Filter by Text',
    'SelectMitigatingControls' => 'Select Mitigating Control(s)',
    'MitigationControls' => 'Mitigation Controls',
    'EnableTLSEncryptionAutomaticallyIfAServerSupportsIt' => 'Enable TLS encryption automatically if a server supports it',
    'AssessmentContacts' => 'Assessment Contacts',
    'Name' => 'Name',
    'ContactManager' => 'Contact Manager',
    'AddNewAssessmentContact' => 'Add a New Assessment Contact',
    'UpdateAssessmentContact' => 'Update an Assessment Contact',
    'AssessmentContactCreated' => 'A new assessment contact was created',
    'AssessmentContactUpdated' => 'An assessment contact was updated',
    'InvalidInformations' => 'Invalid Informations',
    'AreYouSureYouWantToDeleteThisContact' => 'Are you sure you want to delete this contact?',
    'ImportAssessmentContacts' => 'Import Assessment Contacts',
    'ImportCsvXlsFile' => 'Import the following CSV or XLS file into SimpleRisk',
    'AssessmentContactsImported' => 'The assessment contacts imported',
    'DefineTests' => 'Define Tests',
    'AddTest' => 'Add Test',
    'Tester' => 'Tester',
    'TestFrequency' => 'Test Frequency',
    'Objective' => 'Objective',
    'TestSteps' => 'Test Steps',
    'LastTestDate' => 'Last Test Date',
    'NextTestDate' => 'Next Test Date',
    'ApproximateTime' => 'Approximate Time',
    'ExpectedResults' => 'Expected Results',
    'ControlID' => 'Control ID',
    'TestSuccessCreated' => 'A test was successfully created.',
    'TestSuccessUpdated' => 'A test was successfully updated.',
    'QuestionnaireQuestions' => 'Questionnaire Questions',
    'AreYouSureYouWantToDeleteThisQuestion' => 'Are you sure you want to delete this question?',
    'NewQuestionnaireQuestion' => 'New Questionnaire Question',
    'EditQuestionnaireQuestion' => 'Edit Questionnaire Question',
    'Answers' => 'Answers',
    'InvalidQuestionOrAnswers' => 'Invalid Question or Answers.',
    'SuccessTestDeleted'=>'Test Deleted Successfully',
    'AreYouSureYouWantToDeleteThisTest'=>'Are you sure you want to delete this test?',
    'ImportAssessmentQuestionnaireQuestions'=>'Import Assessment Questionnaire Questions',
    'QuestionAndAnswersRquired'=>'Question and Answers are required.',
    'AssessmentQuestionnaireQuestionsAndAnwersImported'=>'Assessment questionnaire questions and answers are imported successfully.',
    'QuestionnaireTemplates'=>'Questionnaire Templates',
    'AreYouSureYouWantToDeleteThisTemplate'=>'Are you sure you want to delete this template?',
    'NewQuestionnaireTemplate'=>'New Questionnaire Template',
    'Questions'=>'Questions',
    'TemplateNameRequired'=>'Template name is required.',
    'EditQuestionnaireTemplate'=>'Edit Questionnaire Template',
    'InitiateAudits'=>'Initiate Audits',
    'TestName'=>'Test Name',
    'ParentFramework'=>'Parent Framework',
    'LastAuditDate'=>'Last Audit Date',
    'NextAuditDate'=>'Next Audit Date',
    'DesiredFrequency'=>'Desired Frequency',
    'Framework'=>'Framework',
    'Control'=>'Control',
    'Test'=>'Test',
    'Active'=>'Active',
    'Inactive'=>'Inactive',
    'InitiateFrameworkAudit'=>'Initiate Framework Audit',
    'InitiateControlAudit'=>'Initiate Control Audit',
    'InitiateTest'=>'Initiate Test',
    'Questionnaires'=>'Questionnaires',
    'AreYouSureYouWantToDeleteThisQestionnaire' => 'Are you sure you want to delete this questionnaire?',
    'NewQuestionnaire'=>'New Questionnaire',
    'EditQuestionnaire'=>'Edit Questionnaire',
    'Template'=>'Template',
    'Save'=>'Save',
    'DuplicatedQuestionnaireName'=>'Duplicated Questionnaire Name.',
    'QuestionnaireNameRequired'=>'Questionnaire name is required.',
    'InitiatedAllTestsUnderFramework'=>'Initiated all tests under a Framework, $framework.',
    'InitiatedAllTestsUnderControl'=>'Initiated all tests under a Control, $control.',
    'InitiatedTest'=>'Initiated a test, $test.',
    'SentQuestionnaire'=>'Sent a questionnaire to each contacts successfully.',
    'SetPassword'=>'Set password',
    'NoMatchPassword'=>'The passwords should match.',
    'SetPasswordSuccess'=>'Password was set successfully.',
    'InvalidPassword'=>'Invalid password',
    'InvalidTokenForQuestionnaire'=>'You need a valid token in order to display an questionnaire.',
    'RequiredTokenForQuestionnaire'=>'You need to send a token in order to display the questionnaire.',
    'NoPermissionForQuestionnaire'=>'You don\'t have permission this questionnaire.',
    'NoPermissionForTemplate'=>'You don\'t have permission this template.',
    'RunNow'=>'Run Now',
    'ActiveAudits'=>'Active Audits',
    'Questionnaire'=>'Questionnaire',
    'Draft'=>'Draft',
    'Complete'=>'Complete',
    'AdditionalInformation'=>'Additional Information',
    'Clear'=>'Clear',
    'PendingEvidenceFromControlOwner'=>'Pending Evidence from Control Owner',
    'EvidenceSubmittedPendingReview'=>'Evidence Submitted / Pending Review',
    'PassedInternalQA'=>'Passed Internal QA',
    'RemediationRequired'=>'Remediation Required',
    'Closed'=>'Closed',
    'TestResult'=>'Test Result',
    'Summary'=>'Summary',
    'TestDate'=>'Test Date',
    'Attachment'=>'Attachment',
    'InvalidParams'=>'Invalid params',
    'ClearForm'=>'Clear Form',
    'QuestionnaireDraftSuccess'=>'Your answers were successfully saved.',
    'QuestionnaireCompletedSuccess'=>'You completed this questionnaire successfully.',
    'EmailTemplateCompleteQuestionnaire' => '
        <html><body>\\n
            Hello,\\n
            <p> {$conact_name} completed a questionnaire, <b>{$questionnaire_name}</b></p>\\n
            <p>This is an automated message and responses will be ignored or rejected.</p>\\n
        </body></html>',
    'QuestionnaireResults'=>'Questionnaire Results',
    'DateSent'=>'Date Sent',
    'Contact'=>'Contact',
    'PercentCompleted'=>'Percent Completed',
    'Incomplete'=>'Incomplete',
    'Completed'=>'Completed',
    'QuestionnaireName'=>'Questionnaire Name',
    'QuestionnaireHasNoContacts'=>'This questionnaire has nothing contacts, so couldn\'t send.',
    'FrameworkAdded'=>'A new framework was added successfully.',
    'FrameworkUpdated'=>'A framework was updated successfully.',
    'FrameworkNameExist'=>'The framework name already exists.',
    'AttachmentFiles'=>'Attachment Files',
    'QuestionnaireFiles'=>'Questionnaire Files',
    'ContactEmailAlreadyInUse'=>'The contact email is already in use.',
    'InherentRisk'=>'Inherent Risk',
    'ResidualRisk'=>'Residual Risk',
    'PastAudits'=>'Past Audits',
    'AuditDate'=>'Audit Date',
    'Reopen'=>'Reopen',
    'CreatedDate'=>'Created Date',
    'QuestionnaireAuditTrail'=>'Questionnaire Audit Trail',
    'SelectYourControlFrameworks'=>'Select Your Control Frameworks',
    'AllFrameworks'=>'All Frameworks',
    'QuestionnaireAlreadySent'=>'This questionnaire was already sent, so you can not update this questionnaire.',
    'SelectAll' => 'Select All',
    'TestStatus' => 'Test Status',
    'DeleteCurrentStatusNamed' => 'Delete Current Status Named',
    'AuditStatus' => 'Audit Status',
    'TheClosedStatusCantBeDeleted' => 'The Closed status can\'t be deleted.',
    'AuditStatusDeleted' => 'An audit status was removed successfully.',
    'HasFile' => 'Has File',
    'ClosedAuditStatus' => 'Closed Audit Status',
    'ClosedAuditStatusIsRequired' => 'Closed Audit Status is required',
    'UserInterface' => 'User Interface',
    'DefaultValues' => 'Default Values',
    'DefaultLanguage' => 'Default Language',
    'DefaultTimezone' => 'Default Timezone',
    'UserSessions' => 'User Sessions',
    'SessionActivityTimeout' => 'Session Activity Timeout',
    'SessionRenegotiationPeriod' => 'Session Renegotiation Period',
    'Security' => 'Security',
    'EnableCSP' => 'Enable Content Security Policy (This has broken Chrome in the past)',
    'Debugging' => 'Debugging',
    'EnableDebugLogging' => 'Enable Debug Logging',
    'DebugLogFile' => 'Debug Log File',
    'seconds' => 'seconds',
    'FieldSample' => 'Field Sample',
    'StartDate' => 'Start Date',
    'EndDate' => 'End Date',
    'DefaultClosedAuditStatus' => 'Default Closed Audit Status',
    'AutomatedNotificationsOfUnreviewedPastDueRisks' => 'Automated Notifications of Unreviewed / Past Due Risks',
    'SimpleRiskActionNotifications' => 'SimpleRisk Action Notifications',
    'WhenToNotify' => 'When To Notify',
    'WhoToNotify' => 'Who To Notify',
    'HowToNotify' => 'How To Notify',
    'NotifyOnNewRisk' => 'Notify on New Risk',
    'NotifyOnRiskUpdate' => 'Notify on Risk Update',
    'NotifyOnNewMitigation' => 'Notify on New Mitigation',
    'NotifyOnMitigationUpdate' => 'Notify on Mitigation Update',
    'NotifyOnRiskReview' => 'Notify on Risk Review',
    'NotifyOnRiskClose' => 'Notify on Risk Close',
    'NotifyOnRiskComment' => 'Notify on Risk Comment',
    'NotifySubmitter' => 'Notify Submitter',
    'NotifyOwner' => 'Notify Owner',
    'NotifyOwnersManager' => 'Notify Owner\'s Manager',
    'NotifyTeam' => 'Notify Team',
    'NotifyAdditionalStakeholders' => 'Notify Additional Stakeholders',
    'NotifyReviewers' => 'Notify Reviewers',
    'VerboseEmails' => 'Verbose Emails',
    'SimpleRiskURL' => 'SimpleRisk URL',
    'Period' => 'Period',
    'PlaceTheFollowingInYourCrontabToRunAutomatically' => 'Place the following in your crontab to run automatically',
    'SimpleRiskScheduledNotifications' => 'SimpleRisk Scheduled Notifications',
    'AutomatedNotificationsOfAudits' => 'Automated Notifications of Audits',
    'SendAnEmail' => 'Send an email',
    'SendAnEmailEvery' => 'Send an email every',
    'DaysBeforeTheAuditIsDue' => 'days before the audit is due',
    'DaysAfterTheAuditIsDue' => 'days after the audit is due',
    'SendAnEmailWhenTheAuditIsDue' => 'Send an email when the audit is due',
    'PendingRiskDeleted' => 'The pending risk was deleted successfully',
    'RunAt' => 'Run At',
    'ImportControls' => 'Import Controls',
    'RiskIDNoEXitFailedToUpdate' => 'Risk ID $risk_id doesn\'t exist, so it is has not been imported or updated',
    'CreatedRisksFromPendingRisks' => 'Created all risks from pending risks.',
    'AddAll' => 'Add All',
    'SendingPleaseWait' => 'Sending... Please wait.',
    'SelectForMitigationControls' => 'Select for Mitigation Controls',
    'QuestionnaireTemplateName' => 'Questionnaire Template Name',
    'QuestionnaireName' => 'Questionnaire Name',
    'Ordering' => 'Ordering',
    'AuditsDueToday' => 'Audits Due Today',
    'AuditsPastDue' => 'Audits Past Due',
    'AuditsDueSoon' => 'Audits Due Soon',
    'DateDue' => 'Date Due',
    'ShowAllRisksForPlanProjects' => 'Show all risks for planned projects instead of only those reviewed as "Consider for Project"',
    'Edit' => 'Edit',
    'Clone' => 'Clone',
    'SubQuestions' => 'Sub Questions',
    'Ordering' => 'Ordering',
    'EncryptionKeyNoExist' => 'Encryption Key file doesn\'t exist. Please contact admin.',
    'ResidualRiskScore' => 'Residual Risk Score',
    'DefaultInitiatedAuditStatus' => 'Default Initiated Audit Status',
    'ImportAssessmentQuestionnaireTemplates' => 'Import Assessment Questionnaire Templates',
    'QuestionnaireTemplateColumnMapping' => 'Questionnaire Template Column Mapping',
    'QuestionnaireTemplatesImported' => 'Questionnaire Templates are imported successfully.',
    'ExportQuestionnaireTemplate' => 'Export Questionnaire Template',
    'DeleteAll' => 'Delete All',
    'AreYouSureToDeleteAllPendingRisks' => 'Are you sure to delete all pending risks?',
    'AllPendingRisksDeleted' => 'All pending risks were deleted successfully',
    'CompareResults' => 'Compare Results',
    'Compare' => 'Compare',
    'SelectQuestionnairesCompare' => 'Please select questionnaires to be compared',
    'TemplatesAreRequired' => 'Templates must be defined',
    'AssetRisk' => 'Asset Risk',
    'DefaultDateFormat' => 'Default Date Format',
    'Role' => 'Role',
    'RoleManagement' => 'Role Management',
    'AddNewRole' => 'Add a New Role',
    'RoleName' => 'Role Name',
    'AddedSuccess' => 'Successfully added.',
    'CantDeleteAdministratorRole' => 'Administrator Role can not be deleted.',
    'GoToSSOLogin' => 'Show the "Go to SSO Login Page" link on the main login page',
    'SSOLoginDisabled' => 'SSO Login was disabled, so you can\'t use this authentication.',
    'QuestionID' => 'Question ID',
    'QuestionOrdering' => 'Question Ordering',
    'DefaultUserRole' => 'Default User Role',
    'AbleToAcceptMitigations' => 'Able to Accept Mitigations',
    'AcceptMitigation' => 'Accept Mitigation',
    'RejectMitigation' => 'Reject Mitigation',
    'MitigationAcceptedByUserOnTime' => 'Mitigation accepted by {$username} on {$date} at {$time}',
    'TestMailSettings' => 'Test Mail Settings',
    'OptionName' => 'Option Name',
    'OptionNameNotEmpty' => 'The name of a custom option cannot be empty.',
    'QueryOnlyAvailableToAdminUsers' => 'Query only available to admin users.',
    'CustomFieldCreatedSuccess' => 'Custom field named "{$name}" created successfully!',
    'CustomOptionAddedSuccess' => 'Custom option named "{$name}" added successfully!',
    'SelectOptionsToDelete' => 'Please select options to delete.',
    'CustomFieldDeletedSuccess' => 'Custom field has been deleted successfully.',
    'CustomFieldDeletedFailed' => 'Failed to delete custom field.',
    'RiskSubmitSuccess' => 'Risk "{$subject}" has been submitted successfully.',
    'Accepting' => 'Accepting...',
    'Rejecting' => 'Rejecting...',
    'CustomizationExtra' => 'Customization Extra',
    'AddMainField' => 'Add Main Field',
    'MainField' => 'Main Field',
    'AddCustomField' => 'Add Custom Field',
    'CustomField' => 'Custom Field',
    'SuccessTemplateSaved' => 'Template was saved successfully.',
    'QueryOnlyAvailableToAdminUsers' => 'Query only available to admin users.',
    'AbleToAddNewFrameworks' => 'Able to Add New Frameworks',
    'AbleToModifyExistingFrameworks' => 'Able to Modify Existing Frameworks',
    'AbleToDeleteExistingFrameworks' => 'Able to Delete Existing Frameworks',
    'AbleToAddNewControls' => 'Able to Add New Controls',
    'AbleToModifyExistingControls' => 'Able to Modify Existing Controls',
    'AbleToDeleteExistingControls' => 'Able to Delete Existing Controls',
    'NoAddFrameworkPermission' => 'You have no permission to add frameworks.',
    'NoModifyFrameworkPermission' => 'You have no permission to modify frameworks.',
    'NoDeleteFrameworkPermission' => 'You have no permission to delete frameworks.',
    'FrameworkStatusSuccessUpdate' => 'The framework statuses were successfully updated.',
    'NoAddControlPermission' => 'You have no permission to add controls.',
    'NoModifyControlPermission' => 'You have no permission to modify controls.',
    'NoDeleteControlPermission' => 'You have no permission to delete controls.',
    'WarnPHPUploadSize' => 'Warning: the current file size limit is larger than PHP allows to be uploaded. Check the upload_max_filesize, post_max_size, and memory_limit values in your php.ini file.',
    'WarnMySQLUploadSize' => 'Warning: the current file size limit is larger than MySQL is configured for uploads.  Check the max_allowed_packet and innodb_log_file_size values in your my.cnf file.',
    'Restore' => 'Restore',
    'MitigationSupportingDocumentation' => 'Mitigation Supporting Documenttation',
    'SetNextReviewDate' => 'Set Next Review Date',
    'MitigationControlsList' => 'Mitigation Control List',
    'NextReviewDateUses' => 'Next Review Date Uses',
    'AdminPermissionRequired' => 'Admin permission is required.',
    'AddImpact' => 'Add impact',
    'DeleteImpact' => 'Delete impact',
    'AddLikelihood' => 'Add likelihood',
    'DeleteLikelihood' => 'Delete likelihood',
    'SuccessAddingImpact' => 'Success to add an impact',
    'SuccessDeletingImpact' => 'Success to delete an impact',
    'FailAddingImpact' => 'Failure to add an impact',
    'FailDeletingImpact' => 'Failure to delete an impact',
    'SuccessAddingLikelihood' => 'Success to add a likelihood',
    'SuccessDeletingLikelihood' => 'Success to delete a likelihood',
    'FailAddingLikelihood' => 'Failure to add a likelihood',
    'FailDeletingLikelihood' => 'Failure to delete a likelihood',
    'SubjectRequired' => 'Subject is required. Please select the field.',
    'Spreadsheet' => 'Spreadsheet',
    'SuccessUpdatingImpactName' => 'The impact naming convention was updated successfully.',
    'FailUpdatingImpactName' => 'Failure to update impact name.',
    'SuccessUpdatingLikelihoodName' => 'The likelihood naming convention was updated successfully.',
    'FailUpdatingLikelihoodName' => 'Failure to update likelihood name.',
    'DocumentProgram' => 'Document Program',
    'AbleToAddDocumentation' => 'Able to Add Documentation',
    'AbleToModifyDocumentation' => 'Able to Modify Documentation',
    'AbleToDeleteDocumentation' => 'Able to Delete Documentation',
    'DuplicatedOptionName' => 'Duplicated option name.',
    'DocumentHierarchy' => 'Document Hierarchy',
    'Policies' => 'Policies',
    'Guidelines' => 'Guidelines',
    'Standards' => 'Standards',
    'Procedures' => 'Procedures',
    'General' => 'General',
    'FileUpload' => 'File Upload',
    'Mail' => 'Mail',
    'DocumentType' => 'Document Type',
    'DocumentName' => 'Document Name',
    'CreationDate' => 'Creation Date',
    'ParentDocument' => 'Parent Document',
    'InReview' => 'In Review',
    'Approved' => 'Approved',
    'File' => 'File',
    'DocumentAdded'=>'A new document was added successfully.',
    'DocumentDeleted'=>'A new document was deleted successfully.',
    'DocumentNameExist'=>'The document name already exists.',
    'NoAddDocumentationPermission' => 'You have no permission to add documents.',
    'NoModifyDocumentationPermission' => 'You have no permission to modify documents.',
    'NoDeleteDocumentationPermission' => 'You have no permission to delete documents.',
    'AreYouSureYouWantToDeleteThisDocument' => 'Are you sure you want to delete this document?',
    'AutomatedNotificationOfPlannedMitigations' => 'Automated Notification of Planned Mitigations',
    'DaysBeforeTheMitigationIsDue' => 'days before the mitigation is due',
    'DaysAfterTheMitigationIsDue' => 'days after the mitigation is due',
    'SendAnEmailWhenTheMitigationIsDue' => 'Send an email when the mitigation is due',
    'NotifyMitigationOwner' => 'Notify Mitigation Owner',
    'NotifyMitigationTeam' => 'Notify Mitigation Team',
    'NotifyRiskSubmitter' => 'Notify Risk Submitter',
    'NotifyRiskOwner' => 'Notify Risk Owner',
    'NotifyRiskOwnersManager' => 'Notify Risk Owner\'s Manager',
    'NotifyRiskTeam' => 'Notify Risk Team',
    'NotifyRiskAdditionalStakeholders' => 'Notify Risk Additional Stakeholders',
    'MitigationsDueToday' => 'Mitigations Due Today',
    'MitigationsPastDue' => 'Mitigations Past Due',
    'MitigationsDueSoon' => 'Mitigations Due Soon In {$DueDate} days',
    'MitigationsNotificationEmailTitle' => 'You are receiving this message because you are the submitter, owner, owner\'s manager, belong to the team, or are an additional stakeholder associated with the following risks which are due for mitigation.  You will continue to receive e-mail reminders until the risk has been closed or the mitigation date has been updated.',
    'RisksAndControls'=>'Risks and Controls',
    'ControlsByRisk' =>'Controls by Risk',
    'RisksByControl' =>'Risks by Control',
    'ViewControlDetails' => 'View Control Details',
    'HideControlDetails' => 'Hide Control Details',
    'YouNeedToUpgradeYourSimpleRiskSubscription' => 'You need to upgrade your SimpleRisk subscription to enable use of this Extra.',
    'AutomaticallyAddNewlyAuthenticatedUsersWithDefaultRole' => 'Automatically add newly authenticated users with the default role',
    'Disabled' => 'Disabled',
    'AbleToCommentRiskManagement' => 'Able to Comment Risk Management',
    'AbleToCommentCompliance' => 'Able to Comment Compliance',
    'LanguageUpdated' => 'Your language was updated successfully.',
    'SelectValidLanguage' => 'You need to select a valid language',
    'PasswordUpdated' => 'Your password has been updated successfully!',
    'PasswordIncorrect' => 'You have entered your current password incorrectly. Please try again.',
    'RiskFormRemark' => 'Complete the form above to document a risk for consideration in Risk Management Process',
    'PasswordRequirements' => 'Password should have the following requirements.',
    'NoDataAvailable' => 'No Data Available',
    'ChooseFile' => 'Choose File',
    'FileAdded' => 'File Added',
    'IPFormatNotRecognized' => 'IP was not in a recognizable format.',
    'Open' => 'Open',
    'Mitigated' => 'Mitigated',
    'Unmitigated' => 'Unmitigated',
    'Reviewed' => 'Reviewed',
    'Unreviewed' => 'Unreviewed',
    'NewRiskInstruction' => 'Complete the form above to document a risk for consideration in Risk Management Process',
    'New' => 'New',
    'ManagementReviewed' => 'Mgmt Reviewed',
    'Reopened' => 'Reopened',
    'Treated' => 'Treated',
    'Untreated' => 'Untreated',
    'passwords' => [
        'user' => 'Unknown User'
    ],
    'NewRisk' => 'New Risk',
    '' => '',
);

?>
